Summary:	Tuning application for DVB cards
Summary(pl.UTF-8):	Aplikacja do strojenia kart DVB
Name:		dvbtune
Version:	0.5
Release:	5
License:	GPL v2+
Group:		Networking
Source0:	http://downloads.sourceforge.net/dvbtools/%{name}-%{version}.tar.gz
# Source0-md5:	5212564c786f2538db753214e0e21473
Patch0:		%{name}-dumb31adapters.patch
Patch1:		define-int-types.patch
Patch2:		%{name}-dvr.patch
Patch3:		%{name}-frequency.patch
URL:		http://dvbtools.sourceforge.net/
BuildRequires:	libxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple tuning application for DVB cards.

%description -l pl.UTF-8
Prosta aplikacja do strojenia kart DVB.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
%{__make} %{name} xml2vdr \
	CFLAGS="%{rpmcflags} -I%{_includedir}/libxml2 -DNEWSTRUCT"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{name} xml2vdr $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc scripts README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/xml2vdr
%changelog
* Sun Sep 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dvbtune.git;a=log;h=master

* Sat Aug 27 2016 Tomasz Pala <gotar@pld-linux.org> 0a00fa5
- allow frequency to be specified in MHz, kHz or as an UHF channel number

* Wed Aug 24 2016 Tomasz Pala <gotar@pld-linux.org> 7ca65b5
- don't open dvr device, this only keeps it busy

* Sat Jul 02 2016 Jan Rękorajski <baggins@pld-linux.org> 9fa65b8
- release 3 (by relup.sh)

* Thu Jun 23 2016 Tomasz Pala <gotar@pld-linux.org> c24c5dc
- added missing uint16_t and uint32_t definitions
https://www.mail-archive.com/opensuse-commit@opensuse.org/msg91867.html

* Thu Jun 23 2016 Tomasz Pala <gotar@pld-linux.org> 3ce333d
- support 31 adapters (NEWSTRUCT only, this project is abandoned anyway)

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> c109596
- pl

* Fri Jun 29 2012 Tomasz Pala <gotar@pld-linux.org> 0356c43
- initial PLD release

